Page MenuHomePhabricator

Migrate the hardware inventory from Racktables to Netbox
Closed, ResolvedPublic

Description

This is the tracking task for one of the Wikimedia Technology/Goals/2018-19 Q1.

Migrate the hardware inventory from Racktables to Netbox.

  • Define Netbox existing and custom fields usage standards/best practices
  • Switch over from Racktables to Netbox
  • Stretch: Investigate Netbox reporting capabilities to automatically validate data
  • Stretch: Investigate Netbox potential future integrations, towards a single source of truth [PARTIALLY]

Event Timeline

Volans created this task.Jul 9 2018, 9:35 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 9 2018, 9:35 AM

@RobH @faidon @MoritzMuehlenhoff I've drafted a proposal of mapping of Netbox device statuses here: https://etherpad.wikimedia.org/p/netbox-statuses
All feedbacks and comments are welcome!

herron triaged this task as Medium priority.Jul 17 2018, 6:41 PM
Volans updated the task description. (Show Details)Sep 21 2018, 1:01 PM

Mentioned in SAL (#wikimedia-operations) [2018-09-21T13:01:53Z] <volans> wiping netbox DB to re-import it cleanly from racktables - T199083

Change 462273 had a related patch set uploaded (by Volans; owner: Riccardo Coccioli):
[operations/software/netbox@master] Custom fields: add label field

https://gerrit.wikimedia.org/r/462273

Mentioned in SAL (#wikimedia-operations) [2018-09-24T07:05:42Z] <volans> wiping netbox DB to re-import it cleanly from racktables - T199083

Change 462273 abandoned by Volans:
Custom fields: add label field

Reason:
At each re-import the IDs are different :(

https://gerrit.wikimedia.org/r/462273

Data from Racktables has been exported and imported into Netbox, starting the migration week in which we'll apply changes to both tools. At the end of the week, if all goes well, Racktables will be set in read-only mode. See the updated https://wikitech.wikimedia.org/wiki/Server_Lifecycle page for more details.

Volans updated the task description. (Show Details)Sep 24 2018, 5:44 PM

Change 462860 had a related patch set uploaded (by Volans; owner: Volans):
[operations/software/netbox@master] Custom fields: fix field type

https://gerrit.wikimedia.org/r/462860

Mentioned in SAL (#wikimedia-operations) [2018-10-01T09:15:51Z] <volans> Set Racktables in read-only mode - T199083

Change 462860 abandoned by Volans:
Custom fields: fix field type

Reason:
After the initial import we're removing those custom changes

https://gerrit.wikimedia.org/r/462860

Volans closed this task as Resolved.Oct 11 2018, 3:12 PM
Volans updated the task description. (Show Details)